kdecore Library: KEntry Struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KEntry Struct Reference

map/dict/list config node entry. More...

`#include <kconfigdata.h>`

Collaboration diagram for KEntry:

[legend]
List of all members.

## Public Attributes
QCString | mValue
bool | bDirty:1
bool | bNLS:1
bool | bGlobal:1
bool | bImmutable:1
bool | bDeleted:1
bool | bExpand:1
## Related Functions
(Note that these are not member functions.)
typedef QMap< KEntryKey, KEntry > | KEntryMap
typedef QMap< KEntryKey, KEntry >::Iterator | KEntryMapIterator
typedef QMap< KEntryKey, KEntry >::ConstIterator | KEntryMapConstIterator

## Detailed Description

map/dict/list config node entry.

Definition at line 32 of file kconfigdata.h.

## Friends And Related Function Documentation

typedef QMap<KEntryKey, KEntry> KEntryMap`[related]`

| type specifying a map of entries (key,value pairs). The keys are actually a key in a particular config file group together with the group name. Definition at line 128 of file kconfigdata.h.

typedef QMap<KEntryKey, KEntry>::Iterator KEntryMapIterator`[related]`

| type for iterating over keys in a KEntryMap in sorted order. Definition at line 135 of file kconfigdata.h.

typedef QMap<KEntryKey, KEntry>::ConstIterator KEntryMapConstIterator`[related]`

| type for iterating over keys in a KEntryMap in sorted order. It is const, thus you cannot change the entries in the iterator, only examine them. Definition at line 144 of file kconfigdata.h.

## Member Data Documentation

bool KEntry::bDirty

| Must the entry be written back to disk? Definition at line 41 of file kconfigdata.h. Referenced by KConfigBase::deleteEntry(), KConfigBase::deleteGroup(), KConfigINIBackEnd::getEntryMap(), KConfigBase::revertToDefault(), and KConfigBase::writeEntry().

bool KEntry::bNLS

| Entry should be written with locale tag. Definition at line 45 of file kconfigdata.h. Referenced by KConfigBase::deleteEntry(), KConfigINIBackEnd::parseSingleConfigFile(), and KConfigBase::writeEntry().

bool KEntry::bGlobal

| Entry should be written to the global config file. Definition at line 49 of file kconfigdata.h. Referenced by KConfigBase::deleteEntry(), KConfigBase::deleteGroup(), KConfigINIBackEnd::getEntryMap(), KConfigINIBackEnd::parseSingleConfigFile(), KConfig::putData(), and KConfigBase::writeEntry().

bool KEntry::bImmutable

| Entry can not be modified. Definition at line 53 of file kconfigdata.h. Referenced by KConfigBase::entryIsImmutable(), KConfigBase::groupIsImmutable(), KConfigINIBackEnd::parseSingleConfigFile(), and KConfig::putData().

bool KEntry::bDeleted

| Entry has been deleted. Definition at line 57 of file kconfigdata.h. Referenced by KConfigBase::deleteEntry(), KConfigBase::deleteGroup(), KConfig::lookupData(), KConfigINIBackEnd::parseSingleConfigFile(), and KConfigBase::revertToDefault().

bool KEntry::bExpand

| Whether to apply dollar expansion or not. Definition at line 61 of file kconfigdata.h. Referenced by KConfigINIBackEnd::parseSingleConfigFile(), and KConfigBase::readEntry().

The documentation for this struct was generated from the following file:

- kconfigdata.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003